<template>
  <v-app>
    <div id="app">
      <header-vue></header-vue>
      <div id="nav">
        <router-link to="/">Home</router-link>|
        <router-link v-if="user" to="/manage-promo">Manage Promo</router-link>|
        <router-link v-if="user" to="/manage-students">Manage Students</router-link>|
        <router-link to="/about">About</router-link>
      </div>
      <router-view/>
    </div>
  </v-app>
</template>
<script>
import HeaderVue from "./components/Header.vue";
import { mapState } from "vuex";

export default {
  components: {
    HeaderVue
  },
  mounted() {
    this.$store.dispatch("checkToken");
  },
  computed: {
    ...mapState(["user"])
  }
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
